# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name indents

Name:           ghc-%{pkg_name}
Version:        0.3.3
Release:        6%{?dist}
Summary:        Indentation sensitive parser-combinators for parsec

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-concatenative-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
# End cabal-rpm deps

# BZ #1027166.
# We end up depending (somewhere along the dep chain) on ghc-entropy-devel
# which has this, so we need it too.
ExclusiveArch:  %{ghc_arches_with_ghci}

%description
This library provides functions for use in parsing indentation sensitive
contexts. It parses blocks of lines all indented to the same level as well as
lines continued at an indented level below.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE


%files devel -f %{name}-devel.files


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 27 2015 Jens Petersen <petersen@fedoraproject.org> - 0.3.3-5
- cblrpm refresh

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Nov  6 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.3.3-2
- Add ExclusiveArch, as per BZ #1027166.

* Mon Jul  8 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.3.3-1
- spec file generated by cabal-rpm-0.8.2
